Endpoints: /api/v1/core/charge
HTTP Method: POST
Request Body
{
"payment_type": "bank_transfer",
"bank_transfer": {
"bank": "permata"
},
"transaction_details": {
"order_id": "C17550",
"gross_amount": 145000
}
}More information regarding list of parameters on request body can be seen on here
Response Body
{
"status_code": "201",
"status_message": "Success, PERMATA VA transaction is successful",
"transaction_id": "a3b75ca9-8b52-445b-99c8-c2cc742a0991",
"order_id": "C17550",
"merchant_id": "G772349112",
"gross_amount": "145000.00",
"currency": "IDR",
"payment_type": "bank_transfer",
"transaction_time": "2024-07-04 10:53:53",
"transaction_status": "pending",
"fraud_status": "accept",
"permata_va_number": "8778000002332015",
"expiry_time": "2024-07-05 10:53:53"
}| Field | Type | Description |
|---|---|---|
| status_code | String | Status code of transaction capture result. |
| status_message | String | Description of transaction capture result. |
| order_id | String | Order ID specified by you. |
| transaction_id | String | Transaction ID given by Midtrans. |
| gross_amount | String | Total amount of transaction in IDR. |
| order_id | String | Order ID specified by you. |
| payment_type | String | The payment method used by the customer. |
| transaction_time | String | Timestamp of transaction in ISO 8601 format. Time Zone: GMT+7. |
| transaction_status | String | Transaction status after capture card transaction. |
| fraud_status | String | Detection result by Fraud Detection System (FDS). Possible values areaccept : Approved by FDS.deny: Denied by FDS. Transaction automatically failed. |
| gross_amount | String | Total amount of transaction in IDR. |